#!/sbin/sh

#/***********************************************************************
#/*		get_chassis.sh														
#/*                                                          			
#/*     cstm logtool vd(memory)										
#/*                       												
# @(#)        get_chassis.sh    Ver 1.0  Date 2003/05/12
# @(#)        All Rights Reserved, Copyright (C) 2003, Hitachi Electronics Services, Co.,Ltd. get_chassis.sh
# @(#)        Licensed Material of Hitachi Electronics Services, Co.,Ltd..
#     
#     NOTE :
#-----------------------------------------------------------------------
#                                       Ver 1.0   2003/05/12   M.Sakaida
#                                       Ver 2.2.0   2004/05/4  
#************************************************************************
LANG=C
export LANG
if [ -f /etc/rc.config.d/core_agent_setenv ] ; then
	. /etc/rc.config.d/core_agent_setenv
else
	echo "ERROR: /etc/rc.config.d/core_agent_setenv defaults file MISSING"
	exit 1
fi
	
        RCMLOG=$1
		CHASSIS_CODE_LOG_E="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/chassis_err_code.tmp"
		CHASSIS_CODE_LOG_B="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/chassis_boot_code.tmp"

		cstm > /dev/null <<-EOCMD
#        cstm  <<-EOCMD
		ru logtool
		cb
		`echo "\n"`
		sa
		$CHASSIS_CODE_LOG_E
		done
		ce
		`echo "\n"`
		sa
		$CHASSIS_CODE_LOG_B
		done
		ok
		exit
		ok
		exit
		ok
		EOCMD

		echo "---- logtool ce ----" > $RCMLOG
		cat $CHASSIS_CODE_LOG_E >> $RCMLOG
		echo "---- logtool cb ----" >> $RCMLOG
		cat $CHASSIS_CODE_LOG_B >> $RCMLOG
		
		rm -f CHASSIS_CODE_LOG_E $CHASSIS_CODE_LOG_B


