#!/sbin/sh
#------------------------------------------------------------------------
#		get_infolog_cpu_mem.sh	
#                                                          			
#     cstm logtool infolog(CPU,MEMORY)										
#                       												
# @(#)        get_infolog_cpu_mem.sh    Ver 1.0  Date 2003/05/12
# @(#)        All Rights Reserved, Copyright (C) 2003, Hitachi Electronics Services, Co.,Ltd. get_infolog_cpu_mem.sh
# @(#)        Licensed Material of Hitachi Electronics Services, Co.,Ltd..
#     
#     NOTE :
#-----------------------------------------------------------------------
#                                       Ver 1.0   2003/05/12   M.Sakaida
#                                       Ver 2.2.0   2004/05/4  
#------------------------------------------------------------------------
#-----------------------------------------------------------------------------
#  RunCstmMap smap(save map)
#-----------------------------------------------------------------------------
function RunCstmMap
{
	RCMLOG=$1

	cstm > /dev/null <<-EOCMD
#	cstm  <<-EOCMD
	smap
	$RCMLOG
	exit
	ok
	exit
	ok
	EOCMD
}
#-----------------------------------------------------------------------------
#  RunCstmInfoLog cstm -> sel dev XX -> il(infolog) 
#-----------------------------------------------------------------------------
function RunCstmInfoLog
{
	SEL_DEV_NAME=$1
	SAVE_TMP_FILE=$2

#	cat $SEL_DEV_NAME

	cstm > /dev/null <<-EOCMD
#	cstm  <<-EOCMD
	map
	sel dev `cat $SEL_DEV_NAME`
	il
	sa
	$SAVE_TMP_FILE
	done
	exit
	ok
	EOCMD
}
#-----------------------------------------------------------------------------
#  main
#-----------------------------------------------------------------------------
LANG=C
export LANG

		SAVE_FILE=$1
if [ -f /etc/rc.config.d/core_agent_setenv ] ; then
	. /etc/rc.config.d/core_agent_setenv
else
	echo "ERROR: /etc/rc.config.d/core_agent_setenv defaults file MISSING"
	exit 1
fi
		TMP_FILE="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/get_infolog_system_save.tmp"
		MAP_TMP="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/get_infolog_system_map.tmp"
		SEL_MAP="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/get_infolog_system_map_cpu.tmp"
		CPU_KEY="CPU"
		MEMORY_KEY="MEMORY"
		TOP=0
		END=0

# cstm -> smap
		RunCstmMap $MAP_TMP
		
#		grep CPU $MAP_TMP | cut -d " " -f4 > $SEL_MAP
#		grep MEMORY $MAP_TMP | cut -d " " -f4 >>  $SEL_MAP

		grep CPU $MAP_TMP  > $SEL_MAP
		grep MEMORY $MAP_TMP  >> $SEL_MAP
		sort $SEL_MAP > $MAP_TMP
		
		TOP=`head -n 1 $MAP_TMP  | awk '{ print $1}'`
		END=`tail -n 1 $MAP_TMP  | awk '{ print $1}'`
#echo $TOP
#echo $END

		echo "$TOP-$END" > $SEL_MAP

#echo "$TOP-$END"+

		RunCstmInfoLog $SEL_MAP $TMP_FILE

		echo "---- infolog CPU And MEMORY (sel dev `cat  $SEL_MAP`) ----\n" >  $SAVE_FILE
#echo "--- infolog CPU And MEMORY (sel dev `cat  $SEL_MAP`) ---"
		cat $TMP_FILE >> $SAVE_FILE


		rm -f $MAP_TMP $TMP_FILE $SEL_MAP




