#!/sbin/sh

#/***********************************************************************
#/*		mem_vd_vda.sh														
#/*                                                          			
#/*     cstm logtool vd(memory)	, vda									
#/*                       												
# @(#)        mem_vd_vda.sh    Ver 1.0  Date 2003/05/12
# @(#)        All Rights Reserved, Copyright (C) 2003, Hitachi Electronics Services, Co.,Ltd. mem_vd_vda.sh
# @(#)        Licensed Material of Hitachi Electronics Services, Co.,Ltd..
#     
#     NOTE :
#-----------------------------------------------------------------------
#                                       Ver 1.0   2003/05/12   M.Sakaida
#                                       Ver 2.2.0   2004/05/4  
#************************************************************************
LANG=C
export LANG

if [ -f /etc/rc.config.d/core_agent_setenv ] ; then
	. /etc/rc.config.d/core_agent_setenv
else
	echo "ERROR: /etc/rc.config.d/core_agent_setenv defaults file MISSING"
	exit 1
fi

        MEMORY_LOG_FILE=$1
		MEM_VD_LOG="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/cstm_mem_vd.tmp"
		MEM_VDA_LOG="$HITACHI_DENSA_CORE_AGENT_TOP_PATH""CORE-AG/tmp/cstm_mem_vda.tmp"

		cstm > /dev/null <<-EOCMD
#		cstm   <<-EOCMD
		ru logtool
		vd
		sa
		$MEM_VD_LOG
		done
		vda
		sa
		$MEM_VDA_LOG
		done
		cl
		ok
		exit
		ok
		exit
		ok
		EOCMD

		echo "---- Memory Error Log (cstm -> logtool -> vd) ----\n" >  $MEMORY_LOG_FILE
		cat $MEM_VD_LOG >> $MEMORY_LOG_FILE
		echo "\n---- Memory Error Log (cstm -> logtool -> vda) ----\n" >>  $MEMORY_LOG_FILE
		cat $MEM_VDA_LOG >> $MEMORY_LOG_FILE
		
		rm -f $MEM_VD_LOG $MEM_VDA_LOG

